AbstractPropertiesKeeper

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.properties
Class AbstractPropertiesKeeper

    java.lang.Object
      net.ctdp.rfdynhud.properties.AbstractPropertiesKeeper

All Implemented Interfaces:
  PropertiesKeeper

    public abstract class AbstractPropertiesKeeper

extends java.lang.Object
implements PropertiesKeeper

Interface for all classes, that keep properties.

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`AbstractPropertiesKeeper()`

Method Summary
`static void` | `attachKeeper(PropertiesKeeper keeper)`
`static void` | `attachKeeper(PropertiesKeeper keeper, boolean force)`
`void` | `getProperties(PropertiesContainer propsCont, boolean forceAll)` Puts all editable properties to the editor.
`void` | `loadProperty(PropertyLoader loader)` Loads (and parses) a certain property from a config file.
`void` | `onPropertyChanged(Property property, java.lang.Object oldValue, java.lang.Object newValue)` Invoked when a kept `Property` has changed.
`void` | `saveProperties(PropertyWriter writer)` Saves all settings to the config file.
`static void` | `setKeeper(Property property, PropertiesKeeper keeper)`
`static void` | `setKeeper(Property property, PropertiesKeeper keeper, boolean force)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPropertiesKeeper

    public AbstractPropertiesKeeper()

Method Detail

### onPropertyChanged

    public void onPropertyChanged(Property property,
                                  java.lang.Object oldValue,
                                  java.lang.Object newValue)

  Invoked when a kept `Property` has changed.

  Specified by:
    `onPropertyChanged` in interface `PropertiesKeeper`
  Parameters:
    `property` - the changed property
    `oldValue` - the old value
    `newValue` - the new value

### saveProperties

    public void saveProperties(PropertyWriter writer)
                        throws java.io.IOException

  Saves all settings to the config file.

  Specified by:
    `saveProperties` in interface `PropertiesKeeper`
  Parameters:
    `writer` - the widgets configuration writer to write properties to
  Throws:
    `java.io.IOException` - if something went wrong

### loadProperty

    public void loadProperty(PropertyLoader loader)

  Loads (and parses) a certain property from a config file.

  Specified by:
    `loadProperty` in interface `PropertiesKeeper`
  Parameters:
    `loader` - the property loader to load properties from

### getProperties

    public void getProperties(PropertiesContainer propsCont,
                              boolean forceAll)

  Puts all editable properties to the editor.

  Specified by:
    `getProperties` in interface `PropertiesKeeper`
  Parameters:
    `propsCont` - the container to add the properties to
    `forceAll` - If `true`, all properties provided by this `PropertiesKeeper` must be added. If `false`, only the properties, that are relevant for the current `PropertiesKeeper`'s situation have to be added, some can be ignored.

### setKeeper

    public static final void setKeeper(Property property,
                                       PropertiesKeeper keeper,
                                       boolean force)

### setKeeper

    public static final void setKeeper(Property property,
                                       PropertiesKeeper keeper)

### attachKeeper

    public static final void attachKeeper(PropertiesKeeper keeper,
                                          boolean force)

### attachKeeper

    public static final void attachKeeper(PropertiesKeeper keeper)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD